dofile("libgraph.lua")

-- --------------------------------------------------------------------------
initScreenAndDisplay() 
code = 0
pause = 300 -- En ms
timy = Timer.new(0)
timy:start()
have_to_send = false
mode = 4
host = "192.168.1.30"
 
println("Connection en cour...")
Wlan.init()
Wlan.useConnectionConfig(1)

while true do --On attend qu'on ai une IP d'attribue par l'AP Wi-Fi
	ipAddress = Wlan.getIPAddress()
	if ipAddress then break end
	System.sleep(100)
end
println("Connecte !")

sock = Socket.udpConnect(host, 6060)
error = sock:udpSend("coucou")

if error == 0 then
	println("Erreur lors de l'envoi en UDP")
else
	println("L'envoi s'est bien passe")
end

System.sleep(2000)

while true do
	pad = Controls.read()
	if pad:start() then
		break
	end
	
	dx = pad:analogX()
	dy = pad:analogY()
	
	initScreen()
	
	if (dx>30 or dx<-30) or (dy>30 or dy<-30) then
		have_to_send = true
	else
		have_to_send = false
	end
	
	if pad:cross() then
		have_to_send = true
		dx = 0
		dy = 0
	end
	
	if pad:r() then
		mode = 4
	elseif pad:l() then
		mode = 1	
	end
	
		
	newTime = timy:time()
	if newTime>=pause and have_to_send==true then
		dx = dx / (128 * mode)
		roll = math.pow(dx,2)
		if dx<0 then
			roll = roll * -1			
		end
		
		dy = dy / (128 * mode)
		pitch = math.pow(dy,2)
		if dy<0 then
			pitch = pitch * -1			
		end
		
		sock:udpSend("1" .. " " .. pitch) --Tangage
		code = sock:udpSend("2" .. " " .. roll) --Roulis
		
		if code==0 then
			break
		end
		timy:reset(0)
		timy:start()
	end
	--end

	echo(0, 0, "X=" .. dx)
	echo(0, 8, "Y=" .. dy)
	echo(0, 16, "M=" .. mode)
	
	display()
		
	screen.waitVblankStart()
end

echoAndDisplay(0,0,"FIN " .. code)

sock:close()
Wlan.term()
